summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2018-12-22 23:50:13 (EST)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2018-12-22 23:50:13 (EST)
commit719a4eb167b15e0d4c81302e539f0cb847d444b8 (patch)
treed5e242b7e6b9510edc36fc4adbdbd1d59d04d364 /src
parentcc339be0fe4965cb52629eb0d4fdc43de7fc5c65 (diff)
opkbuild, ob-*: Use variables set by shpp
Diffstat (limited to 'src')
-rw-r--r--src/ob-applypatches.sh2
-rw-r--r--src/ob-buildenv.sh6
-rw-r--r--src/ob-buildopk.sh2
-rw-r--r--src/ob-checkbuilddeps.sh6
-rw-r--r--src/ob-genchanges.sh2
-rw-r--r--src/ob-gencontrol.sh2
-rw-r--r--src/ob-installdocs.sh2
-rw-r--r--src/ob-installplatconf.sh2
-rw-r--r--src/ob-unpacksource.sh2
-rw-r--r--src/opkbuild.sh28
10 files changed, 27 insertions, 27 deletions
diff --git a/src/ob-applypatches.sh b/src/ob-applypatches.sh
index a36a0ea..25374c4 100644
--- a/src/ob-applypatches.sh
+++ b/src/ob-applypatches.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
main()
{
diff --git a/src/ob-buildenv.sh b/src/ob-buildenv.sh
index 8f07f8c..70f87a7 100644
--- a/src/ob-buildenv.sh
+++ b/src/ob-buildenv.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
main()
{
@@ -41,8 +41,8 @@ setup_build_helper()
for dep in $(ob_get_source_parameter 'Build-Depends'); do
unset IFS
ob_parse_dep -p dep_pkg "${dep}" >/dev/null
- if [ -r "@@HELPERDIR@@/${dep_pkg}" ]; then
- . "@@HELPERDIR@@/${dep_pkg}"
+ if [ -r "${HELPERDIR}/${dep_pkg}" ]; then
+ . "${HELPERDIR}/${dep_pkg}"
PATH="${helper_path}:${PATH}"
fi
done
diff --git a/src/ob-buildopk.sh b/src/ob-buildopk.sh
index fd1294c..6d4363a 100644
--- a/src/ob-buildopk.sh
+++ b/src/ob-buildopk.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
main()
{
diff --git a/src/ob-checkbuilddeps.sh b/src/ob-checkbuilddeps.sh
index 40706c0..fde1bfd 100644
--- a/src/ob-checkbuilddeps.sh
+++ b/src/ob-checkbuilddeps.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
main()
{
@@ -74,7 +74,7 @@ check_dep()
local pkg_ver=
ob_parse_dep -p dep_pkg -r dep_rel -v dep_ver "${dep}"
- status="$(@@OPKG@@ status "${dep_pkg}")"
+ status="$("${OPKG}" status "${dep_pkg}")"
if ! printf '%s\n' "${status}" | grep '^Status: .* .* installed$' \
>/dev/null 2>&1; then
@@ -83,7 +83,7 @@ check_dep()
if [ "x${dep_rel}" != 'x' ]; then
pkg_ver="$(printf '%s\n' "${status}" | \
sed -n 's/^Version: //p')"
- if @@OPKG@@ compare-versions \
+ if "${OPKG}" compare-versions \
"${pkg_ver}" "${dep_rel}" "${dep_ver}"; then
return 1
fi
diff --git a/src/ob-genchanges.sh b/src/ob-genchanges.sh
index 8bf86a1..cedee80 100644
--- a/src/ob-genchanges.sh
+++ b/src/ob-genchanges.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
main()
{
diff --git a/src/ob-gencontrol.sh b/src/ob-gencontrol.sh
index e9d5b3e..27c16d5 100644
--- a/src/ob-gencontrol.sh
+++ b/src/ob-gencontrol.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
main()
{
diff --git a/src/ob-installdocs.sh b/src/ob-installdocs.sh
index eaa8fbb..e0f3a11 100644
--- a/src/ob-installdocs.sh
+++ b/src/ob-installdocs.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
main()
{
diff --git a/src/ob-installplatconf.sh b/src/ob-installplatconf.sh
index c760b3d..6da8eca 100644
--- a/src/ob-installplatconf.sh
+++ b/src/ob-installplatconf.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
system_paths_ifs='
'
diff --git a/src/ob-unpacksource.sh b/src/ob-unpacksource.sh
index baadf78..4d0920e 100644
--- a/src/ob-unpacksource.sh
+++ b/src/ob-unpacksource.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
upstream_ar_base=
upstream_ar=
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index e6defe2..e56c40f 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -19,7 +19,7 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-. '@@LIBDATADIR@@/libopkbuild.shso.1'
+. "${LIBDATADIR}/libopkbuild.shso.1"
export OPK_SOURCE=
export OPK_SOURCE_VERSION=
@@ -74,7 +74,7 @@ main()
if [ "${opt_build}" != 'source' ]; then
print_arch_stats
if "${opt_check_build_deps}"; then
- if ! '@@BINDIR@@/ob-checkbuilddeps'; then
+ if ! "${BINDIR}/ob-checkbuilddeps"; then
exit 1
fi
fi
@@ -98,7 +98,7 @@ help()
version()
{
printf "$(ob_get_msg 'version')\n" \
- 'opkbuild' '@@PACKAGE_NAME@@' '@@PACKAGE_VERSION@@'
+ 'opkbuild' "${PACKAGE_NAME}" "${PACKAGE_VERSION}"
}
get_options()
@@ -281,13 +281,13 @@ build_source()
esac
done
- if ! OB_DO_SOURCE='true' '@@BINDIR@@/ob-gencontrol'; then
+ if ! OB_DO_SOURCE='true' "${BINDIR}/ob-gencontrol"; then
exit 1
fi
- if ! OB_DO_SOURCE='true' '@@BINDIR@@/ob-buildopk'; then
+ if ! OB_DO_SOURCE='true' "${BINDIR}/ob-buildopk"; then
exit 1
fi
- if ! OB_DO_SOURCE='true' '@@BINDIR@@/ob-genchanges'; then
+ if ! OB_DO_SOURCE='true' "${BINDIR}/ob-genchanges"; then
exit 1
fi
@@ -332,16 +332,16 @@ setup_build()
fi
fi
- eval "$('@@BINDIR@@/ob-buildenv' | sed 's/^/export /')"
+ eval "$("${BINDIR}/ob-buildenv" | sed 's/^/export /')"
- if ! '@@BINDIR@@/ob-unpacksource'; then
+ if ! "${BINDIR}/ob-unpacksource"; then
exit 1
fi
- if ! '@@BINDIR@@/ob-applypatches'; then
+ if ! "${BINDIR}/ob-applypatches"; then
# TODO: Remove the ":" after fixing ob-applypatches.
: exit 1
fi
- if ! '@@BINDIR@@/ob-installplatconf'; then
+ if ! "${BINDIR}/ob-installplatconf"; then
exit 1
fi
}
@@ -353,10 +353,10 @@ build()
../build build
${opt_uid0_cmd} -- sh -s <<-EOF
../build install && \
- '@@BINDIR@@/ob-installdocs' && \
- '@@BINDIR@@/ob-gencontrol' && \
- '@@BINDIR@@/ob-buildopk' && \
- '@@BINDIR@@/ob-genchanges'
+ '${BINDIR}/ob-installdocs' && \
+ '${BINDIR}/ob-gencontrol' && \
+ '${BINDIR}/ob-buildopk' && \
+ '${BINDIR}/ob-genchanges'
EOF
if [ ${?} -ne 0 ]; then
exit 1